; ##### The following symbol declarations were copied from
; <AVR068-source-code/command.h>. #####

; == STK message constants ==
.equ MESSAGE_START                     = 0x1B
.equ TOKEN                             = 0x0E

; == STK general command constants ==
.equ CMD_SIGN_ON                       = 0x01
.equ CMD_SET_PARAMETER                 = 0x02
.equ CMD_GET_PARAMETER                 = 0x03
.equ CMD_SET_DEVICE_PARAMETERS         = 0x04
.equ CMD_OSCCAL                        = 0x05
.equ CMD_LOAD_ADDRESS                  = 0x06
.equ CMD_FIRMWARE_UPGRADE              = 0x07

; == STK ISP command constants ==
.equ CMD_ENTER_PROGMODE_ISP            = 0x10
.equ CMD_LEAVE_PROGMODE_ISP            = 0x11
.equ CMD_CHIP_ERASE_ISP                = 0x12
.equ CMD_PROGRAM_FLASH_ISP             = 0x13
.equ CMD_READ_FLASH_ISP                = 0x14
.equ CMD_PROGRAM_EEPROM_ISP            = 0x15
.equ CMD_READ_EEPROM_ISP               = 0x16
.equ CMD_PROGRAM_FUSE_ISP              = 0x17
.equ CMD_READ_FUSE_ISP                 = 0x18
.equ CMD_PROGRAM_LOCK_ISP              = 0x19
.equ CMD_READ_LOCK_ISP                 = 0x1A
.equ CMD_READ_SIGNATURE_ISP            = 0x1B
.equ CMD_READ_OSCCAL_ISP               = 0x1C
.equ CMD_SPI_MULTI                     = 0x1D

; == STK status constants ==
; === Success ===
.equ STATUS_CMD_OK                     = 0x00

; === Warnings ===
.equ STATUS_CMD_TOUT                   = 0x80
.equ STATUS_RDY_BSY_TOUT               = 0x81
.equ STATUS_SET_PARAM_MISSING          = 0x82

; === Errors ===
.equ STATUS_CMD_FAILED                 = 0xC0
.equ STATUS_CKSUM_ERROR                = 0xC1
.equ STATUS_CMD_UNKNOWN                = 0xC9

; == STK parameter constants ==
.equ PARAM_BUILD_NUMBER_LOW            = 0x80
.equ PARAM_BUILD_NUMBER_HIGH           = 0x81
.equ PARAM_HW_VER                      = 0x90
.equ PARAM_SW_MAJOR                    = 0x91
.equ PARAM_SW_MINOR                    = 0x92
.equ PARAM_VTARGET                     = 0x94
.equ PARAM_VADJUST                     = 0x95
.equ PARAM_OSC_PSCALE                  = 0x96
.equ PARAM_OSC_CMATCH                  = 0x97
.equ PARAM_SCK_DURATION                = 0x98
.equ PARAM_TOPCARD_DETECT              = 0x9A
.equ PARAM_STATUS                      = 0x9C
.equ PARAM_DATA                        = 0x9D
.equ PARAM_RESET_POLARITY              = 0x9E
.equ PARAM_CONTROLLER_INIT             = 0x9F

; == STK answer constants ==
.equ ANSWER_CKSUM_ERROR                = 0xB0

; ##### End of copy. #####

; Byte locations inside message body.
; Command_ID is always at index 0.

.equ CMD_SET_PARAMETER_PARAMID = 1
.equ CMD_SET_PARAMETER_VALUE = 2

.equ CMD_GET_PARAMETER_PARAMID = 1

.equ CMD_LOAD_ADDRESS_ADDRMSB = 1

.equ CMD_ENTER_PROGMODE_ISP_TIMEOUT = 1
.equ CMD_ENTER_PROGMODE_ISP_STABDELAY = 2
.equ CMD_ENTER_PROGMODE_ISP_CMDEXEDELAY = 3
.equ CMD_ENTER_PROGMODE_ISP_SYNCHLOOPS = 4
.equ CMD_ENTER_PROGMODE_ISP_BYTEDELAY = 5
.equ CMD_ENTER_PROGMODE_ISP_POLLVALUE = 6
.equ CMD_ENTER_PROGMODE_ISP_POLLINDEX = 7
.equ CMD_ENTER_PROGMODE_ISP_CMD1 = 8
.equ CMD_ENTER_PROGMODE_ISP_CMD2 = 9
.equ CMD_ENTER_PROGMODE_ISP_CMD3 = 10
.equ CMD_ENTER_PROGMODE_ISP_CMD4 = 11

.equ CMD_CHIP_ERASE_ISP_ERASEDELAY = 1
.equ CMD_CHIP_ERASE_ISP_POLLMETHOD = 2
.equ CMD_CHIP_ERASE_ISP_CMD1 = 3
.equ CMD_CHIP_ERASE_ISP_CMD2 = 4
.equ CMD_CHIP_ERASE_ISP_CMD3 = 5
.equ CMD_CHIP_ERASE_ISP_CMD4 = 6

.equ CMD_PROGRAM_FLASH_ISP_NUMBYTESH = 1
.equ CMD_PROGRAM_FLASH_ISP_NUMBYTESL = 2
.equ CMD_PROGRAM_FLASH_ISP_MODE = 3
.equ CMD_PROGRAM_FLASH_ISP_DELAY = 4
.equ CMD_PROGRAM_FLASH_ISP_CMD1 = 5
.equ CMD_PROGRAM_FLASH_ISP_CMD2 = 6
.equ CMD_PROGRAM_FLASH_ISP_CMD3 = 7
.equ CMD_PROGRAM_FLASH_ISP_POLL1 = 8
.equ CMD_PROGRAM_FLASH_ISP_POLL2 = 9
.equ CMD_PROGRAM_FLASH_ISP_DATA = 10

.equ CMD_PROGRAM_FLASH_ISP_MODE_WP_bp = 0 ; word/page mode
.equ CMD_PROGRAM_FLASH_ISP_CMD1_H_bp = 3 ; low/high byte selection bit

.equ CMD_READ_FLASH_ISP_NUMBYTESH = 1
.equ CMD_READ_FLASH_ISP_NUMBYTESL = 2
.equ CMD_READ_FLASH_ISP_CMD1 = 3

.equ CMD_PROGRAM_FUSE_ISP_CMD1 = 1

.equ CMD_READ_FUSE_RETADDR = 1
.equ CMD_READ_FUSE_CMD1 = 2
